> ## Documentation Index
> Fetch the complete documentation index at: https://kaneo.app/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Task Relations

> Get all relations for a task



## OpenAPI

````yaml https://cloud.kaneo.app/api/openapi get /task-relation/{taskId}
openapi: 3.0.3
info:
  title: Kaneo API
  description: Kaneo Project Management API - Manage projects, tasks, labels, and more
  version: 1.0.0
servers:
  - url: https://cloud.kaneo.app/api
    description: Kaneo API Server
security:
  - bearerAuth: []
tags:
  - name: Organization Management
paths:
  /task-relation/{taskId}:
    get:
      tags:
        - Task Relations
      summary: Get Task Relations
      description: Get all relations for a task
      operationId: getTaskRelations
      parameters:
        - in: path
          name: taskId
          schema:
            type: string
          required: true
      responses:
        '200':
          description: Task relations with associated task data
          content:
            application/json:
              schema:
                type: object
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Bearer token authentication

````